【活用ガイド】

[English]

JVNDB-2015-000090

namshi/jose におけるトークンの署名検証回避の脆弱性

概要

namshi/jose は、JSON Web Token (JWT) を扱うための PHP ライブラリです。namshi/jose には、JWT のヘッダの処理に起因する、トークンの署名を適切に検証しない脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 株式会社ディー・エヌ・エー 杉山 俊春 氏

CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


Namshi
  • namshi/jose 2.2.1 およびそれ以前
  • namshi/jose 3.0.0 およびそれ以前
  • namshi/jose 4.0.0 およびそれ以前
  • namshi/jose 5.0.0 およびそれ以前

想定される影響

第三者によって細工された JWT のデータを、正しく署名されたトークンとして扱ってしまう可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに、最新版へアップデートしてください。
ベンダ情報

Namshi
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-2964
参考情報

  1. JVN : JVN#25336719
  2. National Vulnerability Database (NVD) : CVE-2015-2964
更新履歴

[2015年06月25日]
  掲載
[2015年07月14日]
  参考情報:National Vulnerability Database (NVD) (CVE-2015-2964) を追加